Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.maven
[Java] Interface MavenDeployment

    public interface MavenDeployment

Represents the artifacts which will be deployed to a Maven repository. You can use this interface to modify the set of artifacts.

Method Summary
`void` | `addArtifact(PublishArtifact artifact)` Adds an additional artifact to this deployment.
`Set` | `getArtifacts()` Returns the artifacts which will be deployed.
`Set` | `getAttachedArtifacts()` Returns the additional artifacts for this deployment.
`PublishArtifact` | `getMainArtifact()` Returns the main artifact for this deployment.
`PublishArtifact` | `getPomArtifact()` Returns the POM for this deployment.

Method Detail

### addArtifact

    public void addArtifact(PublishArtifact artifact)

  Adds an additional artifact to this deployment.
  Parameters:
    `artifact` - The artifact to add.

### getArtifacts

    public Set getArtifacts()

  Returns the artifacts which will be deployed. Includes the POM artifact.
  Returns:
    The artifacts. Never null.

### getAttachedArtifacts

    public Set getAttachedArtifacts()

  Returns the additional artifacts for this deployment.
  Returns:
    the additional artifacts for this deployment. Never null.

### getMainArtifact

    public PublishArtifact getMainArtifact()

  Returns the main artifact for this deployment.
  Returns:
    The main artifact. May be null.

### getPomArtifact

    public PublishArtifact getPomArtifact()

  Returns the POM for this deployment.
  Returns:
    The POM. Never null.

Gradle API 1.10